summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Daniel de Kok <danieldk@pobox.com>2010-05-11 14:55:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:55:16 +0200
commit00ac0880373bd1b2648fcf41442012ffed9e66fe (patch)
tree088b5f68ef69314de3fbedd8ee6835b67b38453c /graphics
parent41ce5a394a7569da724f75559c0a3a38ab5c1257 (diff)
downloadslackbuilds-00ac0880373bd1b2648fcf41442012ffed9e66fe.tar.gz
slackbuilds-00ac0880373bd1b2648fcf41442012ffed9e66fe.tar.xz
graphics/grap: Initial import
Diffstat (limited to 'graphics')
-rw-r--r--graphics/grap/README10
-rw-r--r--graphics/grap/grap.SlackBuild78
-rw-r--r--graphics/grap/grap.info8
-rw-r--r--graphics/grap/slack-desc11
4 files changed, 107 insertions, 0 deletions
diff --git a/graphics/grap/README b/graphics/grap/README
new file mode 100644
index 0000000000..282c29d8aa
--- /dev/null
+++ b/graphics/grap/README
@@ -0,0 +1,10 @@
+Grap is a language for typesetting graphs specified and first
+implemented by Brian Kernighan and Jon Bentley at Bell Labs. It is
+an expressive language for describing graphs and incorporating them
+in typeset documents. It is implemented as a preprocessor to
+Kernigan's pic language for describing images, so any system that
+can use pic can use grap. For sure, TeX and groff can use it.
+
+To be useful, the pic program from the groff package that is included
+in Slackware Linux is required.
+
diff --git a/graphics/grap/grap.SlackBuild b/graphics/grap/grap.SlackBuild
new file mode 100644
index 0000000000..e20efc0dcb
--- /dev/null
+++ b/graphics/grap/grap.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for grap
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=grap
+VERSION=1.40
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ -prefix=/usr \
+ --with-doc-dir=/usr/doc/$PRGNAM-$VERSION \
+ --with-example-dir=/usr/doc/$PRGNAM-$VERSION/examples
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/grap/grap.info b/graphics/grap/grap.info
new file mode 100644
index 0000000000..e55b9ed397
--- /dev/null
+++ b/graphics/grap/grap.info
@@ -0,0 +1,8 @@
+PRGNAM="grap"
+VERSION="1.40"
+HOMEPAGE="http://www.lunabase.org/~faber/Vault/software/grap/"
+DOWNLOAD="http://www.lunabase.org/~faber/Vault/software/grap/grap-1.40.tar.gz"
+MD5SUM="a9d8ebef1ff6e788dbb136a03332f379"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="robw810"
diff --git a/graphics/grap/slack-desc b/graphics/grap/slack-desc
new file mode 100644
index 0000000000..fd53a73e84
--- /dev/null
+++ b/graphics/grap/slack-desc
@@ -0,0 +1,11 @@
+grap: grap
+grap:
+grap: Grap is a language for typesetting graphs specified and first
+grap: implemented by Brian Kernighan and Jon Bentley at Bell Labs. It is
+grap: an expressive language for describing graphs and incorporating them
+grap: in typeset documents. It is implemented as a preprocessor to
+grap: Kernigan's pic language for describing images, so any system that
+grap: can use pic can use grap. For sure, TeX and groff can use it.
+grap:
+grap: This version of grap was written by Ted Faber, and is available from:
+grap: http://www.lunabase.org/~faber/Vault/software/grap/